Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class TransactionRequest

    java.lang.Object
      org.jboss.mq.TransactionRequest

All Implemented Interfaces:
  Externalizable, Serializable

public class TransactionRequest
extends Object
implements Externalizable

This class contians all the data needed to perform a JMS transaction

Version:
  $Revision: 1.3 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock
See Also:
  Serialized Form

Field Summary
`AcknowledgementRequest[]` | `acks` messages acknowleged in the transaction
`SpyMessage[]` | `messages` messages sent in the transaction
`static byte` | `ONE_PHASE_COMMIT_REQUEST` One phase Commit request
`byte` | `requestType` Request type
`static byte` | `TWO_PHASE_COMMIT_COMMIT_REQUEST` Two phase Commit phase
`static byte` | `TWO_PHASE_COMMIT_PREPARE_REQUEST` Two phase Prepare phase
`static byte` | `TWO_PHASE_COMMIT_ROLLBACK_REQUEST` Rollback request
`Object` | `xid` For 2 phase commit, this identifies the transaction.

Constructor Summary
`TransactionRequest()`

Method Summary
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_PHASE_COMMIT_REQUEST

    public static final byte ONE_PHASE_COMMIT_REQUEST

  One phase Commit request

  See Also:
    Constant Field Values

### TWO_PHASE_COMMIT_PREPARE_REQUEST

    public static final byte TWO_PHASE_COMMIT_PREPARE_REQUEST

  Two phase Prepare phase

  See Also:
    Constant Field Values

### TWO_PHASE_COMMIT_COMMIT_REQUEST

    public static final byte TWO_PHASE_COMMIT_COMMIT_REQUEST

  Two phase Commit phase

  See Also:
    Constant Field Values

### TWO_PHASE_COMMIT_ROLLBACK_REQUEST

    public static final byte TWO_PHASE_COMMIT_ROLLBACK_REQUEST

  Rollback request

  See Also:
    Constant Field Values

### requestType

    public byte requestType

  Request type

### xid

    public Object xid

  For 2 phase commit, this identifies the transaction.

### messages

    public SpyMessage[] messages

  messages sent in the transaction

### acks

    public AcknowledgementRequest[] acks

  messages acknowleged in the transaction

Constructor Detail

### TransactionRequest

    public TransactionRequest()

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.